Get all maintenance windows for the authenticated user
curl --request GET \
--url https://api.justanotheruptime.com/maintenance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justanotheruptime.com/maintenance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justanotheruptime.com/maintenance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
"<string>"
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}Maintenance
Get all maintenance windows for the authenticated user
GET
/
maintenance
Get all maintenance windows for the authenticated user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter maintenance windows by project ID
Page number (1-based)
Number of maintenance windows per page
Response
Return all maintenance windows.
Array of items
Total number of items
Current page number
Number of items per page
Total number of pages
Flag indicating if there is a next page
Flag indicating if there is a previous page